Subject: [bess] FURTHER REMINDER Re: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-datacenter-gateway-04

From: Boris Hassanov <[email-masked]>
Date: Sun, 15 Mar 2020 10:00:20 +0000 (UTC)

Hi Matthew and all,
I read the draft and personally support its publication.
Here are some comments:1) Introduction part has the following statement: "Segment Routing (SR) [RFC8402] is a popular protocol mechanism for use within a DC...". I would love to see SR as popular mechanism within DC worldwide, but such statement requires either  a reference to some cases/examples of SR-baced DCs or, IMO, has to be changed to something like "...become a popular mechanism..." 

2) Fig 1, IMO, needs additional information about which AS/ ASes are used for Ingress and Egress SR Domains (Guess AS1 and AS2 respectively, but it has to be shown). Current version looks a bit confusing, for example, why we need AS3 on Fig.1?
3) If new Tunnel Encapsulation is defined as SR Tunnel, will ietf-idr-tunnel-encaps be updated accordingly?  15th version does not have it so far.
4) Part 3. SR Domain GW Auto-Discovery says: " Each GW is configured with an identifier for the SR domain."What is this identifier? I was not able to see its definition/reference or missed it.
5) May be it would be good to explicitly mention in Part 3 that it is a BGP based AD?
6) I would also swap the order of Part 4 and 5 (make Part 5 as Part 4 and vice versa), because, IMO, the definition of how we will assign and transfer the SID for those GWs for prefix X is much more important than usage of BGP-EPE in this scenario.
7) Sorry, i didn't  get the idea of the last paragraph in existing Part 5: "Alternatively, if the GWs for a given SR domain are configured to
allow remote GWs to perform SR TE through that SR domain for a prefix X, then each GW computes an SR TE path through that SR domain to X from each of the currently active GWs, and places each in an MPLS label stack sub-TLV [I-D.ietf-idr-tunnel-encaps] in the SR tunnel instance for that GW."Could you pls consider to re-phrase it in more simple manner? 
8) Would you consider the case when we could have different SR domains, i.e., SR-MPLS and SRv6?
Thank you.
SY,Boris

[bess] FURTHER REMINDER Re: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-datacenter-gateway-04
 
 "Bocci, Matthew (Nokia - GB)" <[email-masked]> Thu, 12 March 2020 10:51 UTCShow header 
 Folks

I’m keeping the WG last call running for another two weeks (until 25th March).

Please read the draft and indicate to the list if you have any comments. Even if you do not have comments, please indicate if you do or do not support publication.

I will also advertise the WG last call to the SPRING list.

Thanks

Matthew